#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,320,400,480,960,1440,1520,1680,2000
 * N : 25,240,320,400,480,960,1440,1520,1680,2000
 * NB : 1,16,16,40,80,36,24,80,80,64
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 1; \
   else if ((n_) < 360) (nb_) = 16; \
   else if ((n_) < 440) (nb_) = 40; \
   else if ((n_) < 720) (nb_) = 80; \
   else if ((n_) < 1200) (nb_) = 36; \
   else if ((n_) < 1480) (nb_) = 24; \
   else if ((n_) < 1840) (nb_) = 80; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
