#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,256,576,896,1216
 * N : 25,128,192,256,576,896,1216
 * NB : 4,16,64,28,16,64,64
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 4; \
   else if ((n_) < 160) (nb_) = 16; \
   else if ((n_) < 224) (nb_) = 64; \
   else if ((n_) < 416) (nb_) = 28; \
   else if ((n_) < 736) (nb_) = 16; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
